unit ScreenSaver_main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Spin;

type
  TSetup = class(TForm)
    OKButton: TBitBtn;
    TestButton: TBitBtn;
    Label1: TLabel;
    Label2: TLabel;
    procedure TestButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure OKButtonClick(Sender: TObject);
  private
    { Private declarations }
    Loading : Boolean;
  public
    { Public declarations }
  end;

var
  Setup: TSetup;

implementation
uses
  ScreenSaver_ssaver;

{$R *.DFM}

procedure TSetup.TestButtonClick(Sender: TObject);
begin
  TestMode := True;
  Scrn := TScrn.Create(Application);
  Scrn.LoadingApp := True;
  Scrn.ShowModal;
  Scrn.Free;
  SetFocus;
  TestMode := False;
end;

procedure TSetup.FormCreate(Sender: TObject);
begin
  Loading := True;
end;

procedure TSetup.FormActivate(Sender: TObject);
begin
  if Loading then
    Loading := False;
end;

procedure TSetup.OKButtonClick(Sender: TObject);
begin
  Close;
end;

end.

